import "../../../../chunks/chunk.QU3DSPNU.js";
import { createElement } from "react";
import { IconExpand as IconExpandClass } from "../../../../components/icon/icons/expand.component.js";
import { getReactComponent } from "../../../../utils/react.js";
const IconExpand = (props) => {
  IconExpandClass.define();
  const JSXElement = getReactComponent("gds-icon-expand");
  const propsWithClass = { ...props, class: props.className, ref: props.ref };
  return createElement(JSXElement, propsWithClass);
};
IconExpand.displayName = "IconExpand";
export {
  IconExpand
};
